Subject: Working group last call on draft-ietf-ccamp-te-node-cap-02.txt

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 17 Oct 2006 01:34:56 +0100

This starts a two week working group last on 
http://www.ietf.org/internet-drafts/draft-ietf-ccamp-te-node-cap-02.txt

Please send your comments to the CCAMP mailing list by 12 midnight UK time 
on Monday 30th October

Thanks,
Adrian and Deborah

---

From: "Adrian Farrel" <[email-masked]>
Date: Sun, 29 Oct 2006 14:06:22 -0000

Hi,

A few small comments:

Section 10.2
RFC 4461 should be normative.
---
In general, it is nice to use the RFC number when you are referencing an 
RFC.
---
Section 4.1
   Any unrecognized sub-TLV MUST be silently ignored.
I think it would be beneficial to explain what "silently ignored" means.
Actually, I think you want to require that unrecognized sub-TLVs must be 
flooded.
---
Section 4.2
As 4.1
---
Section 5.1
   The TE Node Capability Descriptor TLV is OPTIONAL and MUST appear at
   most once in an OSPF Router Information LSA.
More natural to say "...and MUST NOT appear more than once..."
---
Section 5.1
   If a TE Node Capability
   Descriptor TLV appears more than once in an OSPF Router Information
   LSA, only the first occurrence MUST be processed, other occurrences
   MUST be discarded.
More natural to say "...LSA, the first occurence MUST be processed and 
other..."
However, are you sure that you want to do this discard? You are saying that 
the LSA that is flooded will not be the same as the one received. This seems 
wrong to me, and it is certianly not future-proof.
---
Section 5.1
   An empty TE Node Capability Descriptor MUST be discarded.
Ditto
---
Section 5.1
   Note that a change in any of these capabilities MAY trigger CSPF
   computation, but MUST not trigger normal SPF computation.
s/MUST not/MUST NOT/
---
Section 5.2
As 5.1
---

If you re-submit to address WG last call comments, please pick up the new 
boilerplate.

Thanks,
Adrian

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 31 Oct 2006 11:46:25 -0000

Hi,

Comments from Les Ginsberg and from me. All minor and easy to fix.

Thanks,
Adrian